import { createRouter, createWebHistory, RouteRecordRaw } from "vue-router";
import Home from "@/views/HomeView.vue";
import Login from "@/views/LoginView.vue";

const routes: Array<RouteRecordRaw> = [
	{
		path: "/",
		component: Home,
		meta: {
			requiresAuth: true
		}
	},
	{
		path: "/login",
		component: Login
	},
];

const router = createRouter({
	history: createWebHistory(),
	routes
});

export default router;
